Page MenuHomePhabricator

rust-index: add a `experimental.rust.index` option to use the wrapper
ClosedPublic

Authored by marmoute on Dec 13 2019, 3:12 PM.

Details

Summary

Now we can start putting this wrapper on the test and benchmark grill.

Diff Detail

Repository
rHG Mercurial
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

marmoute created this revision.Dec 13 2019, 3:12 PM
Alphare accepted this revision.Dec 20 2019, 3:40 AM
marmoute updated this revision to Diff 18943.Dec 27 2019, 12:13 PM
This revision was not accepted when it landed; it landed in state Needs Review.
This revision was automatically updated to reflect the committed changes.
mharbison72 added inline comments.
mercurial/localrepo.py
930

This needs bytes if someone with write access wants to rewrite it before it gets too deep. Alternately, I submitted D7817.